%global pypi_name pyhcl
%global _description %{expand:
Implements a parser for HCL (HashiCorp Configuration Language) in Python.}

Summary:        HCL configuration parser for python
Name:           python-%{pypi_name}
Version:        0.4.5
Release:        3%{?dist}
License:        MPLv2.0
URL:            https://github.com/virtuald/pyhcl
Source0:        %pypi_source

BuildRequires:  python3-pytest

BuildArch:      noarch

%description %{_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files hcl

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/hcltool

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.5-3
- Rebuilt for loongarch release

* Mon May 27 2024 cunshunxia <cunshunxia@tencent.com> - 0.4.5-2
- enable %%check for further building.

* Sun Oct 08 2023 kianli <kianli@tencent.com> - 0.4.5-1
- initial build
